# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.books
Class BooksLink.Rel

    java.lang.Object
      com.google.gdata.data.books.BooksLink.Rel

Enclosing class:
  BooksLink

    public static final class BooksLink.Rel

extends java.lang.Object

Link relation type.

Field Summary
`static java.lang.String` `ANNOTATION` Annotation link to submit review, rating, labels.
`static java.lang.String` `EPUBDOWNLOAD` Epub download link.
`static java.lang.String` `INFO` Link to a description page.
`static java.lang.String` `PREVIEW` Link to a preview page.
`static java.lang.String` `THUMBNAIL` Link that provides the URI of a thumbnail image.

Constructor Summary
`BooksLink.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION

    public static final java.lang.String ANNOTATION

  Annotation link to submit review, rating, labels.

  See Also:
    Constant Field Values

### EPUBDOWNLOAD

    public static final java.lang.String EPUBDOWNLOAD

  Epub download link.

  See Also:
    Constant Field Values

### INFO

    public static final java.lang.String INFO

  Link to a description page.

  See Also:
    Constant Field Values

### PREVIEW

    public static final java.lang.String PREVIEW

  Link to a preview page.

  See Also:
    Constant Field Values

### THUMBNAIL

    public static final java.lang.String THUMBNAIL

  Link that provides the URI of a thumbnail image.

  See Also:
    Constant Field Values

Constructor Detail

### BooksLink.Rel

    public BooksLink.Rel()